## org.mariadb.jdbc.internal.protocol
Interface Protocol

All Known Implementing Classes:
  AbstractConnectProtocol, AbstractQueryProtocol, AuroraProtocol, MasterProtocol, MastersSlavesProtocol

    public interface Protocol

Method Summary
`ServerPrepareResult` `addPrepareInCache(String key, ServerPrepareResult serverPrepareResult)`
`void` `cancelCurrentQuery()`
`void` `changeSocketSoTimeout(int setSoTimeout)`
`void` `changeSocketTcpNoDelay(boolean setTcpNoDelay)`
`boolean` `checkIfMaster()`
`void` `close()`
`void` `closeExplicit()`
`void` `connect()`
`void` `connectWithoutProxy()`
`void` `executeBatch(boolean mustExecuteOnMaster, Results results, List<String> queries)`
`void` `executeBatchMulti(boolean mustExecuteOnMaster, Results results, ClientPrepareResult clientPrepareResult, List<ParameterHolder[]> parameterList)`
`void` `executeBatchMultiple(boolean mustExecuteOnMaster, Results results, List<String> queries)`
`void` `executeBatchRewrite(boolean mustExecuteOnMaster, Results results, ClientPrepareResult prepareResult, List<ParameterHolder[]> parameterList, boolean rewriteValues)`
`void` `executePreparedQuery(boolean mustExecuteOnMaster, ServerPrepareResult serverPrepareResult, Results results, ParameterHolder[] parameters)`
`void` `executeQuery(boolean mustExecuteOnMaster, Results results, ClientPrepareResult clientPrepareResult, ParameterHolder[] parameters)`
`void` `executeQuery(boolean mustExecuteOnMaster, Results results, ClientPrepareResult clientPrepareResult, ParameterHolder[] parameters, int timeout)`
`void` `executeQuery(boolean mustExecuteOnMaster, Results results, String sql)`
`void` `executeQuery(boolean mustExecuteOnMaster, Results results, String sql, Charset charset)`
`void` `executeQuery(String sql)`
`boolean` `forceReleasePrepareStatement(int statementId)`
`void` `forceReleaseWaitingPrepareStatement()`
`Results` `getActiveStreamingResult()`
`boolean` `getAutocommit()`
`int` `getAutoIncrementIncrement()`
`String` `getDatabase()`
`int` `getDataTypeMappingFlags()`
`String` `getHost()`
`HostAddress` `getHostAddress()`
`ReentrantLock` `getLock()`
`int` `getMajorServerVersion()`
`long` `getMaxRows()`
`int` `getMinorServerVersion()`
`Options` `getOptions()`
`String` `getPassword()`
`boolean` `getPinGlobalTxToPhysicalConnection()`
`int` `getPort()`
`FailoverProxy` `getProxy()`
`PacketInputStream` `getReader()`
`boolean` `getReadonly()`
`void` `getResult(Results results)`
`long` `getServerThreadId()`
`String` `getServerVersion()`
`int` `getTimeout()`
`TimeZone` `getTimeZone()`
`String` `getTraces()`
`int` `getTransactionIsolationLevel()`
`UrlParser` `getUrlParser()`
`String` `getUsername()`
`PacketOutputStream` `getWriter()`
`SQLException` `handleIoException(IOException initialException)`
`boolean` `hasMoreResults()`
`boolean` `hasWarnings()`
`boolean` `inTransaction()`
`boolean` `isClosed()`
`boolean` `isConnected()`
`boolean` `isEofDeprecated()`
`boolean` `isExplicitClosed()`
`boolean` `isInterrupted()`
`boolean` `isMasterConnection()`
`boolean` `isServerMariaDb()`
`boolean` `isValid()`
`boolean` `mustBeMasterConnection()`
`boolean` `noBackslashEscapes()`
`boolean` `ping()`
`ServerPrepareResult` `prepare(String sql, boolean executeOnMaster)`
`ServerPrepareResult` `prepareAndExecute(boolean mustExecuteOnMaster, ServerPrepareResult serverPrepareResult, Results results, String sql, ParameterHolder[] parameters)`
`ServerPrepareResult` `prepareAndExecutes(boolean mustExecuteOnMaster, ServerPrepareResult serverPrepareResult, Results results, String sql, List<ParameterHolder[]> parameterList)`
`ServerPrepareStatementCache` `prepareStatementCache()`
`void` `prolog(long maxRows, boolean hasProxy, MariaDbConnection connection, MariaDbStatement statement)`
`void` `prologProxy(ServerPrepareResult serverPrepareResult, long maxRows, boolean hasProxy, MariaDbConnection connection, MariaDbStatement statement)`
`void` `readEofPacket()`
`void` `releasePrepareStatement(ServerPrepareResult serverPrepareResult)`
`void` `removeActiveStreamingResult()`
`void` `removeHasMoreResults()`
`void` `resetStateAfterFailover(long maxRows, int transactionIsolationLevel, String database, boolean autocommit)`
`void` `rollback()`
`boolean` `sessionStateAware()`
`void` `setActiveFutureTask(FutureTask activeFutureTask)`
`void` `setActiveStreamingResult(Results mariaSelectResultSet)`
`void` `setCatalog(String database)`
`void` `setHasWarnings(boolean hasWarnings)`
`void` `setHostAddress(HostAddress hostAddress)`
`void` `setHostFailedWithoutProxy()`
`void` `setInternalMaxRows(long max)`
`void` `setLocalInfileInputStream(InputStream inputStream)`
`void` `setMaxRows(long max)`
`void` `setProxy(FailoverProxy proxy)`
`void` `setReadonly(boolean readOnly)`
`void` `setServerStatus(short serverStatus)`
`void` `setTimeout(int timeout)`
`void` `setTransactionIsolation(int level)`
`boolean` `shouldReconnectWithoutProxy()`
`void` `skip()`
`void` `skipEofPacket()`
`void` `stopIfInterrupted()`
`boolean` `versionGreaterOrEqual(int major, int minor, int patch)`

Method Detail

### prepare

    ServerPrepareResult prepare(String sql,
                                boolean executeOnMaster)
                                throws SQLException

  Throws:
    `SQLException`

### getAutocommit

    boolean getAutocommit()

### noBackslashEscapes

    boolean noBackslashEscapes()

### connect

    void connect()
                 throws SQLException

  Throws:
    `SQLException`

### getUrlParser

    UrlParser getUrlParser()

### inTransaction

    boolean inTransaction()

### getProxy

    FailoverProxy getProxy()

### setProxy

    void setProxy(FailoverProxy proxy)

### getOptions

    Options getOptions()

### hasMoreResults

    boolean hasMoreResults()

### close

    void close()

### closeExplicit

    void closeExplicit()

### isClosed

    boolean isClosed()

### setCatalog

    void setCatalog(String database)
                    throws SQLException

  Throws:
    `SQLException`

### getServerVersion

    String getServerVersion()

### isConnected

    boolean isConnected()

### getReadonly

    boolean getReadonly()

### setReadonly

    void setReadonly(boolean readOnly)
                     throws SQLException

  Throws:
    `SQLException`

### isMasterConnection

    boolean isMasterConnection()

### mustBeMasterConnection

    boolean mustBeMasterConnection()

### getHostAddress

    HostAddress getHostAddress()

### setHostAddress

    void setHostAddress(HostAddress hostAddress)

### getHost

    String getHost()

### getPort

    int getPort()

### rollback

    void rollback()
                  throws SQLException

  Throws:
    `SQLException`

### getDatabase

    String getDatabase()

### getUsername

    String getUsername()

### getPassword

    String getPassword()

### ping

    boolean ping()
                 throws SQLException

  Throws:
    `SQLException`

### isValid

    boolean isValid()
                    throws SQLException

  Throws:
    `SQLException`

### executeQuery

    void executeQuery(String sql)
                      throws SQLException

  Throws:
    `SQLException`

### executeQuery

    void executeQuery(boolean mustExecuteOnMaster,
                      Results results,
                      String sql)
                      throws SQLException

  Throws:
    `SQLException`

### executeQuery

    void executeQuery(boolean mustExecuteOnMaster,
                      Results results,
                      String sql,
                      Charset charset)
                      throws SQLException

  Throws:
    `SQLException`

### executeQuery

    void executeQuery(boolean mustExecuteOnMaster,
                      Results results,
                      ClientPrepareResult clientPrepareResult,
                      ParameterHolder[] parameters)
                      throws SQLException

  Throws:
    `SQLException`

### executeQuery

    void executeQuery(boolean mustExecuteOnMaster,
                      Results results,
                      ClientPrepareResult clientPrepareResult,
                      ParameterHolder[] parameters,
                      int timeout)
                      throws SQLException

  Throws:
    `SQLException`

### executeBatchMulti

    void executeBatchMulti(boolean mustExecuteOnMaster,
                           Results results,
                           ClientPrepareResult clientPrepareResult,
                           List<ParameterHolder[]> parameterList)
                           throws SQLException

  Throws:
    `SQLException`

### executeBatch

    void executeBatch(boolean mustExecuteOnMaster,
                      Results results,
                      List<String> queries)
                      throws SQLException

  Throws:
    `SQLException`

### executeBatchMultiple

    void executeBatchMultiple(boolean mustExecuteOnMaster,
                              Results results,
                              List<String> queries)
                              throws SQLException

  Throws:
    `SQLException`

### executeBatchRewrite

    void executeBatchRewrite(boolean mustExecuteOnMaster,
                             Results results,
                             ClientPrepareResult prepareResult,
                             List<ParameterHolder[]> parameterList,
                             boolean rewriteValues)
                             throws SQLException

  Throws:
    `SQLException`

### executePreparedQuery

    void executePreparedQuery(boolean mustExecuteOnMaster,
                              ServerPrepareResult serverPrepareResult,
                              Results results,
                              ParameterHolder[] parameters)
                              throws SQLException

  Throws:
    `SQLException`

### prepareAndExecutes

    ServerPrepareResult prepareAndExecutes(boolean mustExecuteOnMaster,
                                           ServerPrepareResult serverPrepareResult,
                                           Results results,
                                           String sql,
                                           List<ParameterHolder[]> parameterList)
                                           throws SQLException

  Throws:
    `SQLException`

### prepareAndExecute

    ServerPrepareResult prepareAndExecute(boolean mustExecuteOnMaster,
                                          ServerPrepareResult serverPrepareResult,
                                          Results results,
                                          String sql,
                                          ParameterHolder[] parameters)
                                          throws SQLException

  Throws:
    `SQLException`

### getResult

    void getResult(Results results)
                   throws SQLException

  Throws:
    `SQLException`

### cancelCurrentQuery

    void cancelCurrentQuery()
                            throws SQLException,
                                   IOException

  Throws:
    `SQLException`
    `IOException`

### skip

    void skip()
              throws SQLException,
                     SQLException

  Throws:
    `SQLException`

### checkIfMaster

    boolean checkIfMaster()
                          throws SQLException

  Throws:
    `SQLException`

### hasWarnings

    boolean hasWarnings()

### getDataTypeMappingFlags

    int getDataTypeMappingFlags()

### setInternalMaxRows

    void setInternalMaxRows(long max)

### getMaxRows

    long getMaxRows()

### setMaxRows

    void setMaxRows(long max)
                    throws SQLException

  Throws:
    `SQLException`

### getMajorServerVersion

    int getMajorServerVersion()

### getMinorServerVersion

    int getMinorServerVersion()

### versionGreaterOrEqual

    boolean versionGreaterOrEqual(int major,
                                  int minor,
                                  int patch)

### setLocalInfileInputStream

    void setLocalInfileInputStream(InputStream inputStream)

### getTimeout

    int getTimeout()
                   throws SocketException

  Throws:
    `SocketException`

### setTimeout

    void setTimeout(int timeout)
                    throws SocketException

  Throws:
    `SocketException`

### getPinGlobalTxToPhysicalConnection

    boolean getPinGlobalTxToPhysicalConnection()

### getServerThreadId

    long getServerThreadId()

### setTransactionIsolation

    void setTransactionIsolation(int level)
                                 throws SQLException

  Throws:
    `SQLException`

### getTransactionIsolationLevel

    int getTransactionIsolationLevel()

### isExplicitClosed

    boolean isExplicitClosed()

### connectWithoutProxy

    void connectWithoutProxy()
                             throws SQLException

  Throws:
    `SQLException`

### shouldReconnectWithoutProxy

    boolean shouldReconnectWithoutProxy()

### setHostFailedWithoutProxy

    void setHostFailedWithoutProxy()

### releasePrepareStatement

    void releasePrepareStatement(ServerPrepareResult serverPrepareResult)
                                 throws SQLException

  Throws:
    `SQLException`

### forceReleasePrepareStatement

    boolean forceReleasePrepareStatement(int statementId)
                                         throws SQLException

  Throws:
    `SQLException`

### forceReleaseWaitingPrepareStatement

    void forceReleaseWaitingPrepareStatement()
                                             throws SQLException

  Throws:
    `SQLException`

### prepareStatementCache

    ServerPrepareStatementCache prepareStatementCache()

### getTimeZone

    TimeZone getTimeZone()

### prolog

    void prolog(long maxRows,
                boolean hasProxy,
                MariaDbConnection connection,
                MariaDbStatement statement)
                throws SQLException

  Throws:
    `SQLException`

### prologProxy

    void prologProxy(ServerPrepareResult serverPrepareResult,
                     long maxRows,
                     boolean hasProxy,
                     MariaDbConnection connection,
                     MariaDbStatement statement)
                     throws SQLException

  Throws:
    `SQLException`

### getActiveStreamingResult

    Results getActiveStreamingResult()

### setActiveStreamingResult

    void setActiveStreamingResult(Results mariaSelectResultSet)

### getLock

    ReentrantLock getLock()

### setServerStatus

    void setServerStatus(short serverStatus)

### removeHasMoreResults

    void removeHasMoreResults()

### setHasWarnings

    void setHasWarnings(boolean hasWarnings)

### addPrepareInCache

    ServerPrepareResult addPrepareInCache(String key,
                                          ServerPrepareResult serverPrepareResult)

### readEofPacket

    void readEofPacket()
                       throws SQLException,
                              IOException

  Throws:
    `SQLException`
    `IOException`

### skipEofPacket

    void skipEofPacket()
                       throws SQLException,
                              IOException

  Throws:
    `SQLException`
    `IOException`

### changeSocketTcpNoDelay

    void changeSocketTcpNoDelay(boolean setTcpNoDelay)
                                throws SocketException

  Throws:
    `SocketException`

### changeSocketSoTimeout

    void changeSocketSoTimeout(int setSoTimeout)
                               throws SocketException

  Throws:
    `SocketException`

### removeActiveStreamingResult

    void removeActiveStreamingResult()

### resetStateAfterFailover

    void resetStateAfterFailover(long maxRows,
                                 int transactionIsolationLevel,
                                 String database,
                                 boolean autocommit)
                                 throws SQLException

  Throws:
    `SQLException`

### setActiveFutureTask

    void setActiveFutureTask(FutureTask activeFutureTask)

### isServerMariaDb

    boolean isServerMariaDb()

### handleIoException

    SQLException handleIoException(IOException initialException)

### getReader

    PacketInputStream getReader()

### getWriter

    PacketOutputStream getWriter()

### isEofDeprecated

    boolean isEofDeprecated()

### getAutoIncrementIncrement

    int getAutoIncrementIncrement()

### sessionStateAware

    boolean sessionStateAware()

### getTraces

    String getTraces()

### isInterrupted

    boolean isInterrupted()

### stopIfInterrupted

    void stopIfInterrupted()
                           throws SQLTimeoutException

  Throws:
    `SQLTimeoutException`

Copyright © 2017. All rights reserved.